<script setup lang="ts">
import { provide } from 'vue'
import { ref } from 'vue'
import { RouterLink, RouterView } from 'vue-router'
import MainAppBar from './components/MainAppBar.vue'
import MainMenu from './components/MainMenu.vue'


const drawer = ref(true)
const rail = ref(true)


provide('rail', rail)
provide('drawer', drawer)

</script>

<template>
  <v-layout class="rounded rounded-md">
    <MainAppBar></MainAppBar>
    <!-- <main-app-bar></main-app-bar> -->

    <MainMenu></MainMenu>

    <v-main class="align-center justify-center" style="min-height: 300px">
      <div class="pa-6"><router-view></router-view></div>
    </v-main>
  </v-layout>
</template>

<style scoped></style>
